# InputMediaVideo - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InputMedia / InputMediaVideo

# InputMediaVideo

(common) `data class InputMediaVideo : InputMedia, SizedInputMedia, DuratedInputMedia, ThumbedInputMedia, MediaGroupMemberInputMedia` (source)

### Constructors

(common)

#### <init>

`InputMediaVideo(file: InputFile, caption: String? = null, parseMode: ParseMode? = null, width: Int? = null, height: Int? = null, duration: Long? = null, thumb: InputFile? = null)`

### Properties

(common)

#### arguments

`val arguments: Map<String, Any?>`

(common)

#### caption

`val caption: String?`

(common)

#### duration

`val duration: Long?`

(common)

#### file

`val file: InputFile`

(common)

#### height

`val height: Int?`

(common)

#### media

`val media: String`

(common)

#### parseMode

`val parseMode: ParseMode?`

(common)

#### thumb

`val thumb: InputFile?`

(common)

#### type

`val type: String`

(common)

#### width

`val width: Int?`

### Functions

(common)

#### serialize

`fun serialize(format: StringFormat): String`